Overview | Package | Class | Deprecated | Index | Help
| Groovy Documentation
| FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.gradle.api.internal.plugins.osgi
Class DefaultOsgiManifest

    java.lang.Object
      org.gradle.api.internal.plugins.osgi.DefaultOsgiManifest

All Implemented Interfaces:
  OsgiManifest

    class DefaultOsgiManifest
    extends java.lang.Object

author:
  Hans Dockter

Constructor Summary
`DefaultOsgiManifest()`

Method Summary
`Manifest` | `generateManifest()`
`AnalyzerFactory` | `getAnalyzerFactory()`
`File` | `getClassesDir()`
`java.util.List` | `getClasspath()`
`java.util.List` | `getClasspathTypes()`
`java.lang.String` | `getDescription()`
`java.lang.String` | `getDocURL()`
`java.util.Map` | `getInstructions()`
`java.lang.String` | `getLicense()`
`java.lang.String` | `getName()`
`java.lang.String` | `getSymbolicName()`
`java.lang.String` | `getVendor()`
`java.lang.String` | `getVersion()`
`OsgiManifest` | `instruction(java.lang.String name, java.lang.String values)`
`OsgiManifest` | `instructionFirst(java.lang.String name, java.lang.String values)`
`java.util.List` | `instructionValue(java.lang.String instructionName)`
`OsgiManifest` | `overwrite(GradleManifest manifest)`
`void` | `setAnalyzerFactory(AnalyzerFactory analyzerFactory)`
`void` | `setClassesDir(File classesDir)`
`void` | `setClasspath(java.util.List classpath)`
`void` | `setClasspathTypes(java.util.List classpathTypes)`
`void` | `setDescription(java.lang.String description)`
`void` | `setDocURL(java.lang.String docURL)`
`void` | `setInstructions(java.util.Map instructions)`
`void` | `setLicense(java.lang.String license)`
`void` | `setName(java.lang.String name)`
`void` | `setSymbolicName(java.lang.String symbolicName)`
`void` | `setVendor(java.lang.String vendor)`
`void` | `setVersion(java.lang.String version)`

Methods inherited from class java.lang.Object
hashCode, getClass, equals, toString, wait, wait, wait, notify, notifyAll

Constructor Detail

### DefaultOsgiManifest

    public DefaultOsgiManifest()

Method Detail

### generateManifest

    public Manifest generateManifest()

### getAnalyzerFactory

    public AnalyzerFactory getAnalyzerFactory()

### getClassesDir

    public File getClassesDir()

### getClasspath

    public java.util.List getClasspath()

### getClasspathTypes

    public java.util.List getClasspathTypes()

### getDescription

    public java.lang.String getDescription()

### getDocURL

    public java.lang.String getDocURL()

### getInstructions

    public java.util.Map getInstructions()

### getLicense

    public java.lang.String getLicense()

### getName

    public java.lang.String getName()

### getSymbolicName

    public java.lang.String getSymbolicName()

### getVendor

    public java.lang.String getVendor()

### getVersion

    public java.lang.String getVersion()

### instruction

    public OsgiManifest instruction(java.lang.String name, java.lang.String values)

### instructionFirst

    public OsgiManifest instructionFirst(java.lang.String name, java.lang.String values)

### instructionValue

    public java.util.List instructionValue(java.lang.String instructionName)

### overwrite

    public OsgiManifest overwrite(GradleManifest manifest)

### setAnalyzerFactory

    public void setAnalyzerFactory(AnalyzerFactory analyzerFactory)

### setClassesDir

    public void setClassesDir(File classesDir)

### setClasspath

    public void setClasspath(java.util.List classpath)

### setClasspathTypes

    public void setClasspathTypes(java.util.List classpathTypes)

### setDescription

    public void setDescription(java.lang.String description)

### setDocURL

    public void setDocURL(java.lang.String docURL)

### setInstructions

    public void setInstructions(java.util.Map instructions)

### setLicense

    public void setLicense(java.lang.String license)

### setName

    public void setName(java.lang.String name)

### setSymbolicName

    public void setSymbolicName(java.lang.String symbolicName)

### setVendor

    public void setVendor(java.lang.String vendor)

### setVersion

    public void setVersion(java.lang.String version)

Groovy Documentation